Name:           glade
Version:        3.40.0
Release:        11%{?dist}
Summary:        User Interface Designer for GTK+
License:        GPL-2.0-or-later and LGPL-2.0-or-later
URL:            https://glade.gnome.org/
Source0:        https://download.gnome.org/sources/%{name}/3.40/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils docbook-style-xsl
BuildRequires:  gcc meson
BuildRequires:  gettext itstool gtk-doc
BuildRequires:  gjs-devel gtk3-devel libxml2-devel
BuildRequires:  python3-devel python3-gobject-devel
BuildRequires:  webkit2gtk4.1-devel
BuildRequires:  %{_bindir}/xsltproc %{_bindir}/appstream-util

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       gnome-panel-doc hicolor-icon-theme gtk-doc

%description
Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, C#, Vala, Java, Perl, Python,
and others.


%package libs
Summary:        Widget library for Glade UI designer

%description libs
The %{name}-libs package consists of the widgets that compose the Glade GUI as
a separate library to ease the integration of Glade into other applications.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use Glade widget library.


%prep
%autosetup -p1
# glade does not use libsoup, no other porting necessary
sed -i -e 's/webkit2gtk-4.0/webkit2gtk-4.1/' meson.build


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%find_lang glade --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Glade.desktop


%files -f glade.lang
%license COPYING*
%doc AUTHORS NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/catalogs
%dir %{_datadir}/%{name}/pixmaps/hicolor/??x??/actions
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Glade.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-brand-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Glade-symbolic.svg
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%{_mandir}/man?/%{name}.1*
%{_mandir}/man?/%{name}-previewer*

%files libs
%license COPYING*
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib
%{_libdir}/%{name}/modules/lib%{name}*.so
%{_libdir}/lib%{name}ui-2.so.13*
%{_datadir}/%{name}/catalogs/*
%{_datadir}/%{name}/pixmaps/hicolor/??x??/actions/widget-gtk-*.png
%{_datadir}/%{name}/pixmaps/*.png

%files devel
%{_includedir}/lib%{name}ui-2.0/
%{_libdir}/lib%{name}ui-2.so
%{_libdir}/pkgconfig/%{name}ui-2.0.pc
%{_datadir}/gettext/its/%{name}-catalog.its
%{_datadir}/gettext/its/%{name}-catalog.loc
%{_datadir}/gir-1.0/Gladeui-2.0.gir
%{_datadir}/gtk-doc/html/gladeui-2/


%changelog
* Fri Jan 10 2025 Pappy Packager <pappy@krotek.com> - 3.40.0-11
- Spec file directory ownership part II

* Sun Sep 08 2024 Pappy Packager <pappy@krotek.com> - 3.40.0-10
- Spec file directory ownership

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.40.0-8
- Rebuilt for Python 3.13

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 3.40.0-4
- Rebuilt for Python 3.12

* Sun Mar 26 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3.40.0-3
- Use webkit2gtk-4.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 11 2022 Kalev Lember <klember@redhat.com> - 3.40.0-1
- Update to 3.40.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.38.2-7
- Rebuilt for Python 3.11

* Fri Jun 10 2022 Miro Hrončok <mhroncok@redhat.com> - 3.38.2-6
- Fix build with meson 0.61+
- Fixes: rhbz#2082581

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 03 2021 Python Maint <python-maint@redhat.com> - 3.38.2-3
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Kalev Lember <klember@redhat.com> - 3.38.2-1
- Update to 3.38.2
- Drop old obsoletes
- BR python3-gobject-devel rather than pygobject3-devel

* Mon Oct  5 2020 Kalev Lember <klember@redhat.com> - 3.38.1-1
- Update to 3.38.1

* Fri Oct 02 2020 Kalev Lember <klember@redhat.com> - 3.38.0-2
- Drop compat ABI version
